# FdoDataPropertyDefinition Class Reference

`#include <DataPropertyDefinition.h>`

Inheritance diagram for FdoDataPropertyDefinition:

[legend]

List of all members.

## Detailed Description

The FdoDataPropertyDefinition class derives from FdoPropertyDefinition and represents simple values or collections of simple values. FdoDataPropertyDefinitions can take on any of the data types listed in the FdoDataType enumeration.

Definition at line 36 of file DataPropertyDefinition.h.

## Public Member Functions
FDO_API FdoDataType | GetDataType ()
| Gets the FdoDataType of this property.
FDO_API FdoString * | GetDefaultValue ()
| Gets the default value for this property. The default value is used when an instance of the containing class is created without specifying a value for this property.
FDO_API bool | GetIsAutoGenerated ()
| Returns a Boolean value that indicates if this is an autogenerated property.
FDO_API FdoInt32 | GetLength ()
| Gets the length of a String, BLOB, or CLOB data property. This value does not apply to any other FdoDataType.
FDO_API bool | GetNullable ()
| Returns a Boolean value that indicates if this property's value can be null.
FDO_API FdoInt32 | GetPrecision ()
| Gets the precision (total number of digits) of a decimal data property. This value does not apply to any other FdoDataType.
virtual FDO_API FdoPropertyType | GetPropertyType ()
| Gets the concrete property type.
FDO_API bool | GetReadOnly ()
| Returns a Boolean value that indicates if this property is read-only.
FDO_API FdoInt32 | GetScale ()
| Gets the scale (number of digits to the right of the decimal point) of a decimal data property. This value does not apply to any other FdoDataType.
FDO_API FdoPropertyValueConstraint * | GetValueConstraint ()
| Returns the value constraint of this data property.
FDO_API void | SetDataType (FdoDataType dataType)
| Sets the FdoDataType of this property.
FDO_API void | SetDefaultValue (FdoString *value)
| Sets the default value for this property. The default value is used when an instance of the containing class is created without specifying a value for this property.
FDO_API void | SetIsAutoGenerated (bool value)
| Sets a Boolean value that indicates if this is an autogenerated property.
FDO_API void | SetLength (FdoInt32 value)
| Sets the length of a String, BLOB, or CLOB data property. This value is ignored for all other FdoDataType values.
FDO_API void | SetNullable (bool value)
| Sets a Boolean value that indicates if this property's value can be null.
FDO_API void | SetPrecision (FdoInt32 value)
| Sets the precision (total number of digits) of a decimal data property. This value is ignored for all other FdoDataType values.
FDO_API void | SetReadOnly (bool value)
| Sets a Boolean value that indicates if this property is read-only.
FDO_API void | SetScale (FdoInt32 value)
| Sets the scale (number of digits to the right of the decimal point) of a decimal data property. This value is ignored for all other FdoDataType values.
FDO_API void | SetValueConstraint (FdoPropertyValueConstraint *value)
| Sets the value constraint of this data property.
## Static Public Member Functions
static FDO_API FdoDataPropertyDefinition * | Create (FdoString *name, FdoString *description, bool system=false)
| Constructs an instance of an FdoDataPropertyDefinition using the specified arguments.
static FDO_API FdoDataPropertyDefinition * | Create ()
| Constructs a default instance of an FdoDataPropertyDefinition.
## Friends
class | FdoObjectPropertyDefinition
class | FdoSchemaCollection

The documentation for this class was generated from the following file:

- DataPropertyDefinition.h